<section data-ng-controller="CommentsController" data-ng-init="findLogs()" class="panel">
	<header class="panel-heading higher-panel-heading">
	  Logs
	</header>
	<span>
		<table ng-table="tableParams" show-filter="true" class="table table-striped table-advance table-hover payments">
		    <tr data-ng-repeat="log in $data" ng-if="log.data.order.url != 'add_cart'">


	        <td data-title="'Date'" sortable="'created'"> {{log.data.created | date:'yyyy-MM-dd HH:mm:ss Z' }}</td>

			


					
			<td data-title="'Email'" sortable="'username'" filter="{ 'username': 'text' }">
			{{log.data.user.username  | cut:true:75:' ...' }}
			


		</td>

			
			
	<td  data-title="'Action'" sortable="'order'">
		
		<span ng-if="log.message == 'order created' || log.message == 'payment created' || log.message == 'Topup created' " >
			<a style="color: #F39B13;" data-ng-href="#!/userActions/{{log.data.user._id}}">
				{{log.message}}</a>
		</span>

		<span ng-if="log.message == 'order inprogress' || log.message == 'payment successful' || log.message == 'order completed' || log.message == 'TopUp'">
			<a style="color: #27AE61;" data-ng-href="#!/userActions/{{log.data.user._id}}">
				{{log.message}}
			</a>
		</span>

		<span ng-if="log.data.action_type == 'Order cancelled' || log.message == 'order abandoned'" >
			<a style="color: #a33;" data-ng-href="#!/userActions/{{log.data.user._id}}">
				{{log.message}}</a>
		</span>
 <!-- red #a33 -->
		

	</td>
	<td ng-if='log.data.order.url' data-title="'Order'" sortable="'order'"><a data-ng-href="#!/orders/{{log.data.order._id}}">{{log.data.order.url | cut:true:75:' ...'}}</a></td>
	
	<td  data-title="'Price'" sortable="'price'">{{log.data.price}} </td>
					
					
					
		    </tr>
		</table>
	</span>
</section>
